> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a single webhook event (includes payload).

> Webhook event with headers and payload

### Path parameters

<ParamField path="tenant_id" type="string" required>
  Tenant identifier
</ParamField>

<ParamField path="webhook_id" type="string (uuid)" required>
  Webhook event identifier
</ParamField>

### Response

`object`

<ResponseField name="id" type="string (uuid)" required />

<ResponseField name="tenantId" type="string" required />

<ResponseField name="source" type="string" required />

<ResponseField name="topic" type="string" required />

<ResponseField name="shopifyOrderId" type="string" />

<ResponseField name="shopifyOrderName" type="string" />

<ResponseField name="receivedAt" type="string (date-time)" required />

<ResponseField name="signatureValid" type="boolean" />

<ResponseField name="signatureError" type="string" />

<ResponseField name="state" type="string" required>
  Webhook processing state
</ResponseField>

<ResponseField name="attemptCount" type="integer" required />

<ResponseField name="maxAttempts" type="integer" required />

<ResponseField name="lastAttemptAt" type="string (date-time)" />

<ResponseField name="nextRetryAt" type="string (date-time)" />

<ResponseField name="processingStartedAt" type="string (date-time)" />

<ResponseField name="processingFinishedAt" type="string (date-time)" />

<ResponseField name="processingError" type="string" />

<ResponseField name="headers" type="object" required />

<ResponseField name="payload" type="object" />

### Status codes

| Code  | Meaning                                |
| ----- | -------------------------------------- |
| `200` | Webhook event with headers and payload |
| `401` | Unauthorized                           |
| `404` | Webhook event not found                |

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.sync.stateset.com/v1/tenants/{tenant_id}/webhook-events/{webhook_id}' \
    --header 'x-stateset-api-key: YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "tenantId": "acme-outdoors",
    "source": "string",
    "topic": "string",
    "shopifyOrderId": "string",
    "shopifyOrderName": "string",
    "receivedAt": "2026-08-31T14:22:05Z",
    "signatureValid": true,
    "signatureError": "string",
    "state": "queued",
    "attemptCount": 1,
    "maxAttempts": 1,
    "lastAttemptAt": "2026-08-31T14:22:05Z",
    "nextRetryAt": "2026-08-31T14:22:05Z",
    "processingStartedAt": "2026-08-31T14:22:05Z",
    "processingFinishedAt": "2026-08-31T14:22:05Z",
    "processingError": "string",
    "headers": {},
    "payload": {}
  }
  ```
</ResponseExample>
